JarBuilder (Hadoop 0.20.2-cdh3u0 API)
Date: 2011-03-25

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.streaming
Class JarBuilder

    java.lang.Object
      org.apache.hadoop.streaming.JarBuilder

    public class JarBuilder

extends Object

This class is the main class for generating job.jar for Hadoop Streaming jobs. It includes the files specified with the -file option and includes them in the jar. Also, hadoop-streaming is a user level appplication, so all the classes with hadoop-streaming that are needed in the job are also included in the job.jar.

Field Summary
`protected boolean` | `verbose`

Constructor Summary
`JarBuilder()`

Method Summary
`protected String` | `fileExtension(String file)`
`protected String` | `getBasePathInJarOut(String sourceFile)`
`static void` | `main(String[] args)` Test program
`void` | `merge(List srcNames, List srcUnjar, String dstJar)`
`void` | `setVerbose(boolean v)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### verbose

    protected boolean verbose

Constructor Detail

### JarBuilder

    public JarBuilder()

Method Detail

### setVerbose

    public void setVerbose(boolean v)

### merge

    public void merge(List srcNames,
                      List srcUnjar,
                      String dstJar)
               throws IOException

  Throws:
    `IOException`

### fileExtension

    protected String fileExtension(String file)

### getBasePathInJarOut

    protected String getBasePathInJarOut(String sourceFile)

  Returns:
    empty or a jar base path. Must not start with '/'

### main

    public static void main(String[] args)

  Test program

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation